import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {

    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int n = inf.nextInt();
  
        for (int i = 0; i < n; ++i) {
            int num = inf.nextInt();
        }

        int q = inf.nextInt();
        int c = 0;
        for (int i = 0; i < q; ++i) {
            char ch = inf.nextToken().charAt(0);
            if (ch == '?') {
                int l = inf.nextInt();
                int r = inf.nextInt();
                int ja = ans.nextInt();
                int pa = ouf.nextInt();
                if (ja != pa) {
                    return new Outcome(WA, String.format("%d-th number isn't right, expected: %d, found: %d", c + 1, ja, pa));
                }
                ++c;
            } else {
                int l = inf.nextInt();
                int r = inf.nextInt();
                int d = inf.nextInt();
            }
        }
        return new Outcome(OK, String.format("%d numbers", c));
    }
}
